## tango-generator 3.2.3

=== Makefile ===
#
# Makefile for Tango Generator
#
PYVER =`python -c "import sys; print sys.version[:3]"`
PREFIX ?= /usr
DESTDIR ?= ./
TEST ?= poo
print TEST
all:
	python setup.py build

tarball:
	python setup.py sdist
	mv dist/tango-generator-*.tar.gz $(DESTDIR)

install:
	python setup.py install
	touch /usr/share/icons/hicolor
	update-mime-database /usr/share/mime
	update-desktop-database /usr/share/applications

clean:
	python setup.py clean
	rm -rf ./build
	rm msgfmt.pyc
	find . -name *.pyc -exec rm {} \;

uninstall:
	-rm $(PREFIX)/bin/tango-generator
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/TGenerator
	-rm -r $(PREFIX)/lib/python${PYVER}/site-packages/tango-generator-*.egg-info
	-rm -r $(PREFIX)/share/tango-generator
	-rm $(PREFIX)/share/applications/tango-generator.desktop
	-rm $(PREFIX)/share/icons/hicolor/*/apps/tango-generator.*
	-rm $(PREFIX)/share/icons/hicolor/*/mimetypes/text-x-tgc.*
	-rm $(PREFIX)/share/mime/packages/tango-generator.xml
	update-desktop-database /usr/share/applications
	touch /usr/share/icons/hicolor
	update-mime-database /usr/share/mime

=== debian/changelog ===
tango-generator (3.2.3-1) unstable; urgency=medium

  * Fixed bug arrising when remote file is not found.
  * Added industrial derived icon theme
  * Added application icons.
  * Added timeout for file downloads.

 -- mejogid <mejogid0@gmail.com>  Thurs, 13 Feb 2008 19:42:25 +0000
 

tango-generator (3.2.2-1) unstable; urgency=low

  * Various updates to icon themes, performance improvements and GUI tweaks.

 -- mejogid <tangogenerator@gmail.com>  Sun, 27 Jan 2008 18:56:33 +0000

tango-generator (3.2.1-1) unstable; urgency=high

  * Fixed method of install application icon, which could cause serious problems.

 -- mejogid <tangogenerator@gmail.com>  Sun, 2 Jan 2008 10:50:26 +0000

tango-generator (3.2.0-1) unstable; urgency=low

  * Initial release

 -- mejogid <tangogenerator@gmail.com>  Sun, 30 Dec 2007 10:50:26 +0000

=== debian/control ===
Source: tango-generator
Section: x11
Priority: extra
Maintainer: mejogid <tangogenerator@gmail.com
Build-Depends: debhelper (>= 5.0.7), python-dev, intltool
Standards-Version: 3.7.2

Package: tango-generator
Architecture: all
Depends: python (>= 2.4), librsvg2-bin, imagemagick, python-glade2 (>= 2.7.4-3), python-gtk2 (>= 2.6.3-2)
Description: A small application to create customised, tango based icon themes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




package = tango-generator
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	python$* setup.py build
	#docbook-to-man debian/tango-generator.sgml > tango-generator.1
	touch build

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	python$* setup.py clean --all
	find . -name "*.pyc" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tango-generator.
	python$* setup.py install --root=$(CURDIR)/debian/$(package) --prefix=/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples

#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_pysupport
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure
